<?php
/*
Template Name: contact
*/
?>
<?php get_header(); ?>
		<div id="content">
			<?php if (have_posts()) : ?>

	<?php while (have_posts()) : the_post(); ?>
		<div class="post">
		<?php
		//validate email adress
		function is_valid_email($email)
		{
  			return (eregi ("^([a-z0-9_]|\\-|\\.)+@(([a-z0-9_]|\\-)+\\.)+[a-z]{2,4}$", $email));
		}

		//clean up text
		function clean($text)
		{
			return stripslashes($text);
		}

		//encode special chars (in name and subject)
		function encodeMailHeader ($string, $charset = 'UTF-8')
		{
    		return sprintf ('=?%s?B?%s?=', strtoupper ($charset),base64_encode ($string));
		}

		$gf_name    = (!empty($_POST['gf_name']))    ? $_POST['gf_name']    : "";
		$gf_email   = (!empty($_POST['gf_email']))   ? $_POST['gf_email']   : "";
		$gf_url     = (!empty($_POST['gf_url']))     ? $_POST['gf_url']     : "";
		$gf_subject = (!empty($_POST['gf_subject'])) ? $_POST['gf_subject'] : "";
		$gf_message = (!empty($_POST['gf_message'])) ? $_POST['gf_message'] : "";

		$gf_subject = clean($gf_subject);
		$gf_message = clean($gf_message);
		$error_msg = "";
		$send = 0;

		if (!empty($_POST['submit'])) {			
			$send = 1;
			if (empty($gf_name) || empty($gf_email) || empty($gf_message)) {
				$error_msg.= "<p><strong>Please fill in all required fields.</strong></p>\n";
				$send = 0;
			}
			if (!is_valid_email($gf_email)) {
				$error_msg.= "<p><strong>Your email adress failed to validate.</strong></p>\n";
				$send = 0;
			}
		}
		if (!$send) { ?>

			<h2 class="post-title"><?php the_title(); ?></h2>
			<p><?php edit_post_link(); ?></p>
			<div class="post-content">
			<?php
				the_content();
				echo $error_msg;
			?>
			<form method="post" action="<?php echo "http://" . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI']; ?>" id="contactform">
				<fieldset>
				<?php
				gf_heading( "Name" );
				gf_input( "gf_name", "text", "", $gf_name );	
				echo "<br/>";
				gf_heading( "Email" );
				gf_input( "gf_email", "text", "", $gf_email );					
				echo "<br/>";
				gf_heading( "Subject" );
				gf_input( "gf_subject", "text", "", $gf_subject );	
				echo "<br/>";
				gf_heading( "Website" );
				gf_input( "gf_url", "text", "", $gf_url );	
				echo "<br/>";
				gf_heading( "Message" );
				gf_input( "gf_message", "textarea", "", $gf_message );	
				echo "<br/>";
				gf_heading( "Ready ?" );
				gf_input( "submit", "submit", "", "Send Message" );
				echo "<br/>";
				?>					
				</fieldset>
			</form>			
			</div>
		<?php
		} else {

			$displayName_array	= explode(" ",$gf_name);
			$displayName = htmlentities(utf8_decode($displayName_array[0]));

			$header  = "MIME-Version: 1.0\n";
			$header .= "Content-Type: text/plain; charset=\"utf-8\"\n";
			$header .= "From:" . encodeMailHeader($gf_name) . "<" . $gf_email . ">\n";
			$email_subject	= "[" . get_settings('blogname') . "] " . encodeMailHeader($gf_subject);
			$email_text		= "From......: " . $gf_name . "\n" .
							  "Email.....: " . $gf_email . "\n" .
							  "Url.......: " . $gf_url . "\n\n" .
							  $gf_message;

			if (@mail(get_settings('admin_email'), $email_subject, $email_text, $header)) {
				echo "<h2>Hey " . $displayName . ",</h2><p>thanks for your message! I'll get back to you as soon as possible.</p>";
			}
		}
		?>

	<?php endwhile; ?>

<?php endif; ?>

	</div>
	</div>

<?php get_sidebar(); ?>
<?php get_footer(); ?>